LINUX.ORG.RU

PlayonLinux не устанавливается IE8

 , , , ,


0

1

На 32-битной системе в Playonlinux с последними версиями wine не хочет устанавливаться Internet Explorer 8 (Internet Explorer 8 is not supported on this operating system.). Проверил .PlayOnLinux/ressources, там IE8-WindowsXP-x86-RUS.exe. Подскажите как исправить?

Ответ на: комментарий от sholmes

IE8 не выпускали для Win8, так что то, что ты хочешь — не-воз-мож-но. Переключись на XP, как тебе уже порекомендовали, установи IE8, если он тебе так нужен, после попробуй переключиться на какую тебе нравится версию.

r3lgar ★★★★★ ()
Ответ на: комментарий от r3lgar

Говорит, что «Установка не может быть продолжена, поскольку на данном компьютере обнаружена более поздняя версия Internet Explorer». Куда копать?

sholmes ()
Ответ на: комментарий от sholmes

Зачем он тебе вообще нужен? Он уже даже не поддерживается мелкомягкими. Давно отправлен на свалку истории.

th3m3 ★★★★★ ()
Ответ на: комментарий от sholmes

«Установка не может быть продолжена, поскольку на данном компьютере обнаружена более поздняя версия Internet Explorer»

Лол, некрософт такой некрософт…

Куда копать?

В реестр копать. И по файлам в Program Files и system32/WOW64.

Квест не из лёгких, но если действительно нужно, то за вечер можно управиться.

r3lgar ★★★★★ ()
Ответ на: комментарий от th3m3

Зачем он тебе вообще нужен?

Некоторые студии требуют от своих верстальщиков поддержку с IE6 и до посинения.

Он уже даже не поддерживается мелкомягкими.

Очередной фейл был закопан, но не забыт. xD

Давно отправлен на свалку истории.

Было бы славно, если бы он никогда не рождался, как и все до IE11, но увы, они есть, и до сих пор где-то даже в работе.

r3lgar ★★★★★ ()
Ответ на: комментарий от r3lgar

Некоторые студии требуют от своих верстальщиков поддержку с IE6 и до посинения.

Это несовременные студии, им тоже пора на свалку истории :)

th3m3 ★★★★★ ()
Ответ на: комментарий от th3m3

Это несовременные студии, им тоже пора на свалку истории :)

Современные, или нет, но они всё ещё существуют, пока существует XP где-то в глубинах офисов. На самом деле вся эта дичь не столько тормозит прогресс, сколько отнимает лишнее время.

А с другой стороны, меня порой бесят сообщения на странице, что мой браузер устарел (всего-то на год-полтора), и что основной функционал отключен (причём часто искусственно). IE6 — это конечно перебор, но почему не поддерживать браузеры двух-трёх лет мне не ясно.

r3lgar ★★★★★ ()
Ответ на: комментарий от r3lgar

Чтобы прикрыть свою жопу перед начальством, если вдруг верстка поедет или что-то будет работать не так.

Deleted ()

Установи IE-8 на старой версии wine а потом этот префикс скорми новой версии, оно обновится до новой, а IE не должен при этом пострадать...

anonymous ()
Ответ на: комментарий от Deleted

прикрыть свою жопу перед начальством

Искусственное ограничение функциональности — это НЕ нормально, за это надо увольнять без выходного пособия по статье.

если вдруг верстка поедет

Вёрстка может поехать только на очень древних браузерах, а они отключают всё и вешают баннер с принуждением обновить браузер (например, Firefox 40 уже устаревший, хотя вёрстка в нём не отличается от современных версий, кроме, разве что некоторых CSS-атрибутов).

или что-то будет работать не так

Об этом можно просто оставить предупреждение, но не отключать принудительно ВЕСЬ функционал. Например, в старых версиях WebKit не работает гитхаб — не работают некоторые кнопки, о чём просто висит предупреждение, но ходить по сайту и читать код никто не запрещает. То есть мониторить вебню я могу, чего вполне достаточно в некоторых случаях.

r3lgar ★★★★★ ()
Ответ на: комментарий от Deleted

Да это и так понятно, я сам когда-то касался этой темы.

А ещё есть упоротые заказчики, которым НАДО, чтобы работало во всех известных ему браузерах, и плевать, что больше половины из них не превышают и одного процента потенциальных посетителей сайта. Это, конечно, оправдано на сайтах госуслуг (чего на деле нет), например, но никак не оправдано на каком-то тематическом сайте, который накрутит сто хостов в сутки разве что через пару лет, когда все старания фронтэндщиков и верстальщиков просто перестанет работать по техническим причинам. А таких заказчиков большинство, так как начитались хипсторской дичи в интернете и возомнили себя специалистами.

r3lgar ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.